<?php 

/**
 * Modelo para la tabla opina_work_team
 * Creado por Said Andres 
 * 19/04/2022
 */
class ModelWorkTeam extends CI_Model
{
	//Metodo Para insertar datos en la tabla opina_work_team
	public function insert_team($data)
	{
		if ($this->db->insert('opina_work_team',$data)) {
			return true;
		}else{
			return false;
		}
	}


	//Metodo que realiza un update a la tabla opina_work_team
	//Recibe un array con los datos, un campo, y el dato a actualizar
	public function update_team($data,$field,$where)
	{
		$this->db->where($field,$where);
		if ($this->db->update('opina_work_team',$data)) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo para eliminar un usuario de la tabla opina_work_team
	//solo se puede eliminar con el team_id
	public function detele_team($where)
	{
		$this->db->where('team_id',$where);
		if ($this->db->delete('opina_work_team')) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo que registros de la tabla opina_work_team
	//si recibe un parametro ejecuta la consulta con filtro
	public function get_team($where='')
	{
		if ($where == "") {
			$sql = "SELECT * FROM opina_work_team";
		}else{
			$sql = "SELECT * FROM opina_work_team WHERE ".$where;
		}
		return $this->db->query($sql);
	}
}

 ?>